#include "procmon_info.h"
#include <stdio.h>
/* This tests correct file creation when a fork is done */
int main(
         int argc,
         char **argv
         )
{
  PROCMON_INFO_SETTINGS_struct psettings;
#if defined( _PROCMON_TEST_RLD )
  int i; /* loop var */
  int num_sigs; /* number of signals to do */
  char *getenv_p; /* pointer to getenv */
#endif
  PROCMON_info_settings_get( 0, NULL, &psettings );
  PROCMON_info_get_print( "fork", 0 );
  fork();
  /* -------------------------------------------------------------- */
  /* Test to see if at least signal handlers ok with forked process */
  /* when using the rld exec                                        */
  /* raise enough signals to overcome PROCMON_INTERVAL setting      */
  /* -------------------------------------------------------------- */
#if defined( _PROCMON_TEST_RLD )
  if( (getenv_p = getenv( "PROCMON_INTERVAL" )) != NULL )
    {
      num_sigs = atoi( getenv_p );
    }
  else
    {
      num_sigs = 1;
    }
  for( i = 0; i < num_sigs; i++ )
    {
      raise( psettings.signal );
    }
#endif
  PROCMON_info_get_print( "fork", 1 );
  return( 0 );
}
